SX3 and iMac Intel Core compatibility

Dear All,
I’m using SX3 with Windows before, and recently, I switch to my new iMac, which is 3.2 GHz Intel Core i3 with OS X 10.6.6. Somehow, it crash every time when I open the software. Is there any compatibility problem?
Please help.
Thanks.
King

sx3 is not compatible with any intel machines you would have to be running a ppc emulation program which is not going to perform well. you need cubase 4 or later depending on your os. if you are on snow leopard c4 is not officially supported however i have seen user posts saying they have had success on SL …YMMV

ic.
thanks a lot, phidelity.
I do on Snow Leopard, so it seems i need at least Cubase 5. Am I correct?
Thanks.
King

By the way, it seems Cubase doesn’t offer any upgrade from SX3.
Thanks.
King

there is definitely an upgrade path from sx3 just keep diggin on the site or contact steinberg sales support

The only upgrade page that I found is the following one:
http://www.steinberg.net/en/shop/cubase.html
It doesn’t have any upgrade from SX3.
Thanks.
King